Skip to main content
`Ctrl`+`K`

# SNESQNSetRestartType

Sets the restart type for `SNESQN`.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESQNSetRestartType(SNES snes, SNESQNRestartType rtype)

Logically Collective

## Input Parameters

- snes - the iterative context

- rtype - restart type, see `SNESQNRestartType`

## Options Database Keys

- -snes_qn_restart_type (powell|periodic|none) - set the restart type

- -snes_qn_m m - sets the number of stored updates and the restart period for periodic

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESQN`, `SNESQNRestartType`, `SNES_QN_RESTART_NONE`, `SNES_QN_RESTART_POWELL`, `SNES_QN_RESTART_PERIODIC`, `SNESQNType`, `SNESQNScaleType`

## Level

intermediate

## Location

src/snes/impls/qn/qn.c

## Implementations

SNESQNSetRestartType_QN() in src/snes/impls/qn/qn.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages